﻿.navbar-brand img {
  height: 3rem;
  margin: -0.6rem 0;
  vertical-align: top;
}

main {
  margin-top: 56px;
}

footer .row-logo {
  display: inline-block;
  height: 1.5em;
  vertical-align: bottom;
}

#loginCard {
  max-width: 40rem;
  box-shadow: 6px 6px 100px rgba(0, 0, 0, 0.1);
  margin-left: auto;
  margin-right: auto;
}

.colour-palette {
  display: inline-block;
  border: 1px solid black;
  content: "";
  height: 20px;
  width: 20px;
  vertical-align: middle;
}

.calendar-tabs .nav-link {
  padding: 0.25rem 0.5rem;
}

@media (min-width: 1200px) {
  #CalendarSidebar {
    position: -webkit-sticky;
    position: sticky;
    top: 71px;
    z-index: 1020;
  }

  #CalendarSidebar .tab-content {
    max-height: calc(100vh - 223px);
    overflow-y: auto;
  }
}
.calendar-submit-input-group {
  max-width: 300px;
  margin: auto;
}

#SubmissionPeriod {
  width: 14rem;
}

.date-item {
  padding: 0.25rem;
  border: 1px solid #dee2e6;
  font-size: 15px;
}
.date-item:not(:last-child) {
  margin-bottom: 0.25rem;
}

.bg-unavailable {
  background-color: #b3b3c4 !important;
}

.shift-past-range,
.shift-future-range {
  background-color: #eee !important;
  border: 1px solid #ccc;
}

.shift-name, .shift-available-hours-container {
  cursor: pointer;
}

@media (max-width: 767.98px) {
  .shift-checkbox-parent {
    position: absolute;
    right: 0;
    font-size: 2em;
    z-index: 1;
  }

  .work-shift-filler {
    display: none;
  }
}
.shift-checkbox .fa-minus {
  color: transparent;
}

.multistate-checkbox {
  display: inline-block;
}
.multistate-checkbox .form-check {
  padding-left: 0;
}
.multistate-checkbox .form-check-input {
  display: none;
}
.multistate-checkbox .form-check-input:not(:checked) + .form-check-label {
  display: none;
}
.multistate-checkbox .form-check-input:disabled + .form-check-label > * {
  background-color: #e9ecef !important;
  border-color: #ccc !important;
  cursor: not-allowed;
}
.multistate-checkbox .form-check-label {
  cursor: pointer;
}
.multistate-checkbox .form-check-label > * {
  background-color: white;
}

.row-loading {
  display: block;
  padding: 2px 2px 2px 14px;
}

.row-loading:before {
  position: relative;
  top: 4px;
  left: -14px;
  content: " ";
  display: inline-block;
  width: 20px;
  height: 20px;
  margin: 0px;
  border-radius: 50%;
  border: 2px solid #fff;
  border-color: #17a2b8 transparent #17a2b8 transparent;
  animation: row-loading-ring 1.2s linear infinite;
}

@keyframes row-loading-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.holiday {
  background-color: #eee6ff;
}

.row-calendar-date-content {
  background-color: #ffffff;
  padding: 0.25rem;
}

.table-current-period {
  background-color: #eee6ff;
}

.table-open-period {
  background-color: #dff0d8;
}

.table-late-period,
.table-submission-completely-late {
  background-color: #fff4d4;
}

.table-posted-period,
.table-submission-after-posted {
  background-color: #ffe6cc;
}
